Türkiye
Az konuş, çok çalış..

Forum

Bildirimler
Tümünü temizle

Black Arch Kurulum Araçlar

Sayfa 1 / 2
Meekran
(@meekran)
Azimli Kullanıcı

Merhaba, Manjaro Xfce 16.06 64 Bit kullanıyorum black arch araçlarını yükleme durumu mevcutmudur. Nette gezinirken konu ile ilgili olarak Ubuntu sayfasında bir komut buldum bilmiyorum doğrumudur denemedim sistem çökmesin diye zaten şu an indiriyorum iso olarak 4,60 GB virtualbox da bir deneyeceğim ilk olarak

https://forum.ubuntu-tr.net/index.php?topic=50500.0 link bu

sudo pacman -S blackarch --force

Üstatlar...

Alıntı
Topic starter Gönderildi : 30/06/2016 11:55 am
ata
 ata
(@ata)
Gelişmiş Kullanıcı

kurulu olan arch olsaydı bu programlar direk olarak kurulurdu ama kullandığın manjaro olduğundan ne denli işe yarar bilinemez.

şahsım adına da önermem  manjaro ile arch aynı değildir tamam manjaro arch tabanını örnek almış olsada aayrı bir distrodur.
asla bir arch değildir yada arch yavrusu değildir.

edit ben denedim komutu yanıt bile vermedi  ;D daha önce senin gibi heves edip denemiştim
denemek bedava

[ata@ata ~]$ sudo pacman -S blackarch --force
[sudo] password for ata:
hata: hedef bulunamadı: blackarch
[ata@ata ~]$

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 12:10 pm
tulliana
(@tulliana)
Üye Admin

Black Arch yansılarını ekleyip kurabilirsiniz elbette.

SM-J700F cihazımdan Tapatalk kullanılarak gönderildi

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 30/06/2016 12:23 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı
curl -s  http://blackarch.org/strap.sh  | sudo sh

ardından

sudo pacman -S blackarch --force

bu şekilde yaklaşık 3 gb bir indirme yapıp kurulum sağlanacağını düşünmekteyim

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 12:24 pm
Meekran
(@meekran)
Azimli Kullanıcı

3GB mı!!! kesin sorun çıkar eminim bir yerden ondan sonra kapınızı çalmak zorunda kalırım şu an verdiğiniz komutu uçbirime yazdım ama enter !! yapmak baya zor oluyor en iyisi ben virtualbox da bir deneme yapayım

teşekkürler @ata @tulliana

Black arch pek bilinilmiyor veya pek kullanışlı değil gibi youtube de bile çok az videosu var ya stabl değil yada güncelleme yapılmıyor destekleyenler gibi geliyor Kali, backbox, parrot belki en sonlarda öneriliyor Arch tabanlı bir sistemin böyle durumda olması pek mantıklı değil bence

CevapAlıntı
Topic starter Gönderildi : 30/06/2016 1:02 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı

bu konuda bilgim yok hiç tools için kali yada benzeri bir sistem kullanmadım ancak 4küsür gb olan bir isosu olduğunu ve open box  kullandığını düşünürsek yaklaşık 3 gb indirme yapmasını düşünüyorum.

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 1:05 pm
Meekran
(@meekran)
Azimli Kullanıcı

verdiğin linki inceliyorum kullanmak istediğin tools çok rahat bir şekilde kurabilirsin çok yararlı oldu çok teşekkürler ve mantığın için..

CevapAlıntı
Topic starter Gönderildi : 30/06/2016 1:09 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı

linkte olanlardan kendimize yarayanları seçip kurma şansımızın olması daaha iyi gereksiz uygulama kurulmamış oluyor. ;D

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 1:14 pm
tulliana
(@tulliana)
Üye Admin

Blackarch Türkiye yansısı aşağıdadır. Dilerseniz yansıyı /etc/pacman.d/mirrorlist ve pacman.conf dosyasına ekleyip sudo pacman -Syy ile paket listelerini ve yansıları güncelleyip ardından dilediğiniz paketi kurabilirsiniz.

 http://ftp.linux.org.tr/blackarch/$repo/os/$arch/|linux.org.tr 

https://www.youtube.com/watch?v=m70msxsYybs

https://www.youtube.com/watch?v=E5J3746YGh0

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 30/06/2016 3:48 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı
curl -s  http://blackarch.org/strap.sh  | sudo sh

komut bunu ekliyormuş  ;D ahaaa arkadaşa anlatırken denemek için girmiştim hahaha olaya bak sen

[sudo] password for ata: 
:: Paket veritabanları senkronize ediliyor...
core                    119,0 KiB  74,5K/s 00:02 [######################] 100%
extra                  1743,9 KiB  67,0K/s 00:26 [######################] 100%
community                  3,5 MiB  66,3K/s 00:54 [######################] 100%
archlinuxfr              11,3 KiB  871K/s 00:00 [######################] 100%
blackarch              1530,3 KiB  277K/s 00:06 [######################] 100%
blackarch.sig            543,0  B  0,00B/s 00:00 [######################] 100%
:: Sistem güncellemesi başlatılıyor...
uyarı: python-ropper: yerel depodaki paket (1.10.6-1) community deposundaki paketten (1.10.3-1) daha güncel
uyarı: ropper: yerel depodaki paket (1.10.6-1) community deposundaki paketten (1.10.3-1) daha güncel
uyarı: zeromq: yerel depodaki paket (4.1.5-1) community deposundaki paketten (4.1.4-1) daha güncel
yapılacak bir şey yok
[ata@ata ~]$

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 5:22 pm
tulliana
(@tulliana)
Üye Admin

strap.sh dosyası çalıştırılabilir bir betik. İçeriğine baktıysanız yansıları, depoları ekliyor, anahtarları giriyor. Manuel birkaç işlemi tek hareket ile halletmeye yarıyor.


#!/bin/sh
# strap.sh - install and setup BlackArch Linux keyring

# default mirror url
MIRROR=' http://www.mirrorservice.org/sites/blackarch.org/blackarch/'

# simple error message wrapper
err()
{
    echo >&2 `tput bold; tput setaf 1`"[-] ERROR: ${*}"`tput sgr0`
    exit 1337
}

# simple warning message wrapper
warn()
{
    echo >&2 `tput bold; tput setaf 1`"[!] WARNING: ${*}"`tput sgr0`
}

# simple echo wrapper
msg()
{
    echo `tput bold; tput setaf 2`"[+] ${*}"`tput sgr0`
}

# check for root privilege
check_priv()
{
    if [ $EUID -ne 0 ] ; then
        err "you must be root"
    fi
}

# make a temporary directory and cd into
make_tmp_dir()
{
    tmp=`mktemp -d /tmp/blackarch_strap.XXXXXXXX`
    trap "rm -rf $tmp" EXIT
    cd "$tmp"
}

# retrieve the BlackArch Linux keyring
fetch_keyring()
{
    curl -s -O
        ' http://blackarch.org/keyring/blackarch-keyring.pkg.tar.xz{,.sig}'
}

# verify the keyring signature
# note: this is pointless if you do not verify the key fingerprint
verify_keyring()
{
    gpg
        --keyserver hkp://pgp.mit.edu
        --recv-keys 4345771566D76038C7FEB43863EC0ADBEA87E4E3 > /dev/null 2>&1

    if ! gpg
        --keyserver-options no-auto-key-retrieve
        --with-fingerprint blackarch-keyring.pkg.tar.xz.sig > /dev/null 2>&1
    then
        err 'invalid keyring signature. please stop by irc.freenode.net/blackarch'
    fi
}

# delete the signature files
delete_signature()
{
    if [ -f "blackarch-keyring.pkg.tar.xz.sig" ] ; then
        rm blackarch-keyring.pkg.tar.xz.sig
    fi
}

# make sure /etc/pacman.d/gnupg is usable
check_pacman_gnupg()
{
    pacman-key --init
}

# install the keyring
install_keyring()
{
    if ! pacman --config /dev/null
        --noconfirm -U blackarch-keyring.pkg.tar.xz
    then
        err 'keyring installation failed'
    fi
# just in case
pacman-key --populate
}

# ask user for mirror
get_mirror()
{
    printf "    -> enter a BlackArch Linux mirror url (default: $MIRROR): "
    while read line ; do
        case "$line" in
            http://*|ftp://*)
                msg 'checking mirror...'
                if ! curl -sI "$line/blackarch/os/i686/blackarch.db" |
                    head -n1 | grep -q 200
                then
                    warn 'blackarch.db not found on given mirror'
                    warn "using default mirror $MIRROR"
                else
                    MIRROR=$line
                    msg "using mirror $MIRROR"
                fi
                break
                ;;
            *)
                warn 'you did not specify a correct mirror url'
                msg "using default mirror $MIRROR"
                return
                ;;
        esac
    done < /dev/tty
}

# update pacman.conf
update_pacman_conf()
{
    # delete blackarch related entries if existing
    sed -ie '/blackarch/{N;d}' /etc/pacman.conf

    cat >> "/etc/pacman.conf" << EOF
[blackarch]
Server = $MIRROR/$repo/os/$arch
EOF
}

# synchronize and update
pacman_update()
{
    pacman -Syy
}


pacman_upgrade()
{
    echo 'perform full system upgrade? (pacman -Su) [Yn]:'
    read conf < /dev/tty
    case "$conf" in
        ''|y|Y) pacman -Su ;;
        n|N) warn 'some blackarch packages may not work without an up-to-date system.' ;;
    esac
}

# setup blackarch linux
blackarch_setup()
{
    check_priv
    msg 'installing blackarch keyring...'
    make_tmp_dir
    fetch_keyring
    verify_keyring
    delete_signature
    check_pacman_gnupg
    install_keyring
    echo
    msg 'keyring installed successfully'
    # check if pacman.conf has already a mirror
    if ! grep -q "[blackarch]" /etc/pacman.conf; then
        msg 'configuring pacman'
        get_mirror
        msg 'updating pacman.conf'
        update_pacman_conf
    fi
    msg 'updating package databases'
    pacman_update
    msg 'BlackArch Linux is ready!'
}


blackarch_setup

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 30/06/2016 6:47 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı

ben betiğe bakmamıştım arkadaşa yardımcı olmak için sadece denedim fakat daha sonra fark ettimki

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs


[archlinuxfr]
SigLevel = Never
Server = http://repo.archlinux.fr/x86_64
[blackarch]
Server = http://www.mirrorservice.org/sites/blackarch.org/blackarch//$repo/os/$$


buraya eklenmiş haha iyi bir kolaylık bu betik iş  😮

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 30/06/2016 7:49 pm
Meekran
(@meekran)
Azimli Kullanıcı

verdiğiniz linkleri denemdim tabi @ata nın verdiğilinkten bir kaç uygulama indirdim gayet başarılı bir şekilde çalışıyor şu an için sıkıntı yok diğer @tulliana sizin verdiğiniz linki diğer laptopumda deneyeceğim şu an kuruluyor Bu sistemi yapanlar nernde ne varsa tüm tools ları yüklemişler 4,5 GB gerçekten çok fazla bir sayı Black arch ı da kurup denemdim bu kadar çok tools olmasına rağmen gerçekten pc hiçbir zorlamada bulunmadı Kurulum olarakda çok arch kurmayı denemdim halada da deniyorum!!! ama başarılı olmadım henüz Black arch kurulumunu biraz daha basite indirgemişler youtube videosu https://www.youtube.com/watch?v=k6sYCXvHuEg ile birlikte kurulumu gerçekleştirdim ancak iç karartıcı bir tema beni resmen bir süre sonra bunalttı diyebilirim 🙂

https://www.youtube.com/watch?v=dKOHK7AIXsc bu linkte anladığım kadarı ile Antergos rahat bir şekilkde kurulum yapılıyor!

verdiğiniz bilgiler içinde çok teşekkür ederim

CevapAlıntı
Topic starter Gönderildi : 01/07/2016 6:26 pm
ata
 ata
(@ata)
Gelişmiş Kullanıcı

oldu olacak tam kıyak yapayım  ;D
ile repoyu ekledik yada manuel ekledik  ve -Syy yaptık ardında

curl -s  http://blackarch.org/strap.sh  | sudo sh

sudo pacman -Sg | grep blackarch

pacman -S blackarch-<listeden adı geçen bir paket>
╔═[23:43]═[ata@ata]
╚═══===═══[~]>> sudo pacman -Sg | grep blackarch
[sudo] password for ata:
blackarch
blackarch-webapp
blackarch-fuzzer
blackarch-scanner
blackarch-proxy
blackarch-windows
blackarch-dos
blackarch-cracker
blackarch-voip
blackarch-recon
blackarch-spoof
blackarch-forensic
blackarch-crypto
blackarch-backdoor
blackarch-binary
blackarch-networking
blackarch-misc
blackarch-exploitation
blackarch-defensive
blackarch-wireless
blackarch-disassembler
blackarch-malware
blackarch-mobile
blackarch-reversing
blackarch-sniffer
blackarch-social
blackarch-hardware
blackarch-automation
blackarch-fingerprint
blackarch-honeypot
blackarch-debugger
blackarch-firmware
blackarch-database
blackarch-bluetooth
blackarch-automobile
blackarch-code-audit
blackarch-tunnel
blackarch-networking blackarch-exploitation
blackarch-debuggger
blackarch-decompiler
blackarch-radio
blackarch-unpacker
blackarch-keylogger
blackarch-threat-model
blackarch-packer
blackarch-drone
blackarch-nfc
blackarch-anti-forensic
blackarch-ids
blackarch-cryptography
blackarch-gpu

Suskunluğum asaletimdendir,her lafa verilecek cevabım var. Ama bir lafa bakarım laf mı ? diye bir de söyleyene bakarım adam mı ? diye

                        

CevapAlıntı
Gönderildi : 01/07/2016 7:24 pm
Meekran
(@meekran)
Azimli Kullanıcı

Kurdum denedim yaptım on numara beş yıldız!! hiç hata vermedi süper saolun iyiki varsınız 🙂

Saygılar

@ata
@tulliana

Konu çözülmüştür...

CevapAlıntı
Topic starter Gönderildi : 02/07/2016 3:56 pm
Sayfa 1 / 2
Paylaş:
Translate »